#pragma once
#include "afxcolorbutton.h"


// CMenuThumbnail_Dlg 对话框

class CMenuThumbnail_Dlg : public CDialogEx
{
	DECLARE_DYNAMIC(CMenuThumbnail_Dlg)

public:
	CMenuThumbnail_Dlg(CWnd* pParent = NULL);   // 标准构造函数
	virtual ~CMenuThumbnail_Dlg();
public:
	IAdvImageShowControl*  m_pControl;
// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_DIALOG_IMAGE_MAP };
#endif

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

	DECLARE_MESSAGE_MAP()
public:
	virtual BOOL OnInitDialog();
	afx_msg void OnBnClickedCheckEnable();
	afx_msg void OnBnClickedRadioMapPos();
	afx_msg void OnBnClickedRadio2();
	afx_msg void OnBnClickedRadio3();
	afx_msg void OnBnClickedRadio4();
	int m_nThumPos;
	afx_msg void OnBnClickedCancel();
	CMFCColorButton m_btn_out_color;
	CMFCColorButton m_btn_inner_color;
	afx_msg void OnBnClickedMfccolorbuttonOut();
	afx_msg void OnBnClickedMfccolorbuttonRect();
	afx_msg void OnBnClickedButtonWidth();
	int m_nThumWidth;
	afx_msg void OnBnClickedCheckLoc();
	afx_msg void OnBnClickedCheckLoc2();
};
